<?php

namespace xenarabia\QuranKarem\Entity;

use XF\Mvc\Entity\Entity;
use XF\Mvc\Entity\Structure;


class LangsEntity extends Entity
{

    public static function getStructure(Structure $structure)
    {
        $options = \XF::options();
        $structure->table = 'xa_quran_languages';
        $structure->shortName = 'xenarabia\QuranKarem:LangsEntity';
        $structure->primaryKey = 'l_id';
        $structure->columns = [
            'l_id' => ['type' => self::UINT, 'autoIncrement' => true],
            'l_short_name' => ['type' => self::STR],
            'l_name' => ['type' => self::STR],
            'l_file_name' => ['type' => self::STR],
            'l_script_name' => ['type' => self::STR],
            'l_languages_phrase' => ['type' => self::STR],
            'l_reciters_phrase' => ['type' => self::STR],
        ];
        $structure->getters = [];
        $structure->relations = [];


        return $structure;
    }
}
